# Uses of Enum Class
org.bukkit.entity.Boat.Status

Packages that use Boat.Status
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Boat.Status in org.bukkit.entity

Methods in org.bukkit.entity that return Boat.Status
Modifier and Type
Method
Description
`@NotNull Boat.Status`
Boat.`getStatus()`
Gets the status of the boat.
`static Boat.Status`
Boat.Status.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Boat.Status[]`
Boat.Status.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.